/*
 * Copyright 2004 Perforce Software.  All rights reserved.
 *
 * Developed by Data Shades Ltd.
 */

#ifndef INC_UNISTRBUF
#define INC_UNISTRBUF

#include <tchar.h>

#include "PerforceAPI.h"

#ifdef _WIN64
#pragma warning(disable: 4244 4267)
#endif // _WIN64

/*
 * Unicode StrBuf
 */
class UniStrBuf : public StrBuf {

public:

	void	Append( const TCHAR *buf );

	void	Append( const TCHAR *buf, int len );

	void	Append( const StrPtr *s );

	void	Set( const TCHAR *buf );

	void	Set( const TCHAR *buf, int len );

	void	Set( const StrPtr *s );

	TCHAR	*Text() const {return (TCHAR *)StrBuf::Text();}

	int 	Length() const;
};

#endif