/*
 * Copyright 2004 Perforce Software.  All rights reserved.
 *
 * Developed by Data Shades Ltd.
 */

#ifndef INC_PERFORCE_ACTION_TABLE
#define INC_PERFORCE_ACTION_TABLE

#include "ActionTable.h"

#define ADD_TO_PERFORCE_ACTION						46666
#define CHECK_OUT_PERFORCE_ACTION					46667
#define CHECK_IN_PERFORCE_ACTION					46668
#define LOCK_UNLOCK_PERFORCE_ACTION					46669
#define UNDO_ADD_CHECK_OUT_PERFORCE_ACTION			46670
#define DOCUMENT_STATUS_PERFORCE_ACTION				46671
#define CHECKED_OUT_PERFORCE_ACTION					46672
#define INFO_PERFORCE_ACTION						46673
#define OPTIONS_PERFORCE_ACTION						46674
#define HELP_PERFORCE_ACTION						46675
#define ABOUT_PERFORCE_ACTION						46676
#define OPEN_DEPOT_PERFORCE_ACTION					46677
#define DOCUMENT_HISTORY_PERFORCE_ACTION			46678
#define LAST_RESULTS_PERFORCE_ACTION				46679
#define SERVER_ONLINE_ACTION						46680

/*
 * Unique ID's
 */
const ActionTableId PerforceActions = 0x19457355;
const ActionContextId PerforceContext = 0x19457355;

/*
 * Class to handle executing menu actions
 */
class PerforceActionCallBack : public ActionCallback
{
public:

	/*
	 * Execute a menu action
	 *
	 * id - The Id of the action to execute.
	 */
	BOOL	ExecuteAction( int id ); 
};

/*
 * Handle perforce menu enablement / labels
 */
class PerforceActionTable : public ActionTable 
{

public:

	/*
	 * Constructor.
	 */
			PerforceActionTable( HINSTANCE hInstance );

	/*
	 * Return true if menu item is enabled.
	 *
	 * cmdId - ID of menu item.
	 */
	BOOL	IsEnabled( int cmdId );

	/*
	 * Get label of menu item.
	 *
	 * cmdId - ID of menu item.
	 * menuText - Buffer in which to return label.
	 */
	BOOL	GetMenuText( int cmdId, TSTR& menuText );
};

#endif