/*
 * Copyright 2004 Perforce Software.  All rights reserved.
 *
 * Develoed by Data Shades Ltd.
 */

#ifndef INC_CALLBACK_MANAGER
#define INC_CALLBACK_MANAGER

#include "PIActions.h"

class CallbackManager {

public:

	/*
	 * Constructor. Registers callbacks.
	 */
				CallbackManager( struct SPPlugin *self );

	/*
	 * Remove all registered callbacks
	 */
	void		Remove( struct SPPlugin *plugin );

	/*
	 * This get called when a new file is opened
	 */
	static void OpenFile( DescriptorEventID eventID, PIActionDescriptor descriptor, PIDialogRecordOptions options, void* data );

	/*
	 * This gets called when a file is selected to be the current file
	 */
	static void SelectFile( DescriptorEventID eventID, PIActionDescriptor descriptor, PIDialogRecordOptions options, void* data );

	/*
	 * This gets called when the current file is closed
	 */
	static void CloseFile( DescriptorEventID eventID, PIActionDescriptor descriptor, PIDialogRecordOptions options,	void* data );

	//static void EventAll( DescriptorEventID eventID, PIActionDescriptor descriptor, PIDialogRecordOptions options, void* data );
};

#endif