/*
 * Copyright 2004 Perforce Software.  All rights reserved.
 *
 * Developed by Data Shades Ltd.
 */

#include "PhotoshopAPI.h"
#include "PluginOperations.h"
#include "CallbackManager.h"
#include "PhotoshopHost.h"

#ifdef P4PHOTOSHOP_MAIN
#define EXTERN
#else
#define EXTERN	extern
#endif // P4PHOTOSHOP_MAIN

/*
 * Pointers to Photoshop API objects. Initialised on plugin startup.
 */
EXTERN SPBasicSuite* sSPBasic;
//EXTERN ADMBasicSuite* sADMBasic;  // Deprecated: There is currently no direct replacement for the ADM API. Plug-in developers must write their UI using the API's provided by the OS.
EXTERN PSUIHooksSuite1* sPSHooks;

/*
 * Plugin DLL handle.
 */
EXTERN HINSTANCE hInstance;

/*
 * Provides Photoshop specific callbacks to plugin library
 */
EXTERN PhotoshopHost *host;

/*
 * Plugin operations interface
 */
EXTERN PluginOperations *perforceOps;

/*
 * Interface to callback handler
 */
EXTERN CallbackManager *callbacks;

#ifdef P4PHOTOSHOP_MAIN
#define DLLExport extern "C" __declspec(dllexport)
DLLExport SPAPI SPErr PluginMain(const char* caller, const char* selector, const void* data );
#endif // P4PHOTOSHOP_MAIN
